Skip to main content

Creating jobs

To kick-start the categorization process, you can directly call our Categorization API endpoint using a POST request on:

Request Method: POST

https://api.enablenow.nl/v2/categorization-jobs

For new integrations, we recommend using the e1 engine with the retail profile. E1 is the primary categorization engine in EnableNow and uses the V2 categorization jobs endpoint.

info

For e1, the only supported profile is retail. metaData must be empty and countryCode currently supports nl. If you omit countryCode, it defaults to nl.

Creating a categorization-job can be done in a few different ways:

  • Consent-based
  • User-based (by UserId)
  • User-based (by ExternalUserId)

Here's a brief walkthrough on how to initiate jobs with the mentioned API endpoint:

Create job using ConsentId

You can start a categorization job by supplying a consentId. This identifier is associated with the user's consent received from the AppScreen.

For instance, if the consentId is af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/v2/categorization-jobs
// application/json request body
{
"engine": "e1",
"profile": "retail",
"countryCode": "nl",
"consentId": "af86536d-34e3-4ebc-6c64-08db56ccef25"
}

After initiating a Categorization Job, you can use the API to monitor the progress and status of the job.

Create job using UserId

You can start a categorization job by supplying a userId. This is the unique identifier for a user in the system. See the section on creating and managing users in the Account Information section.

For instance, if the userId is af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/v2/categorization-jobs
// application/json request body
{
"engine": "e1",
"profile": "retail",
"countryCode": "nl",
"userId": "af86536d-34e3-4ebc-6c64-08db56ccef25"
}

After initiating a Categorization Job, you can use the API to monitor the progress and status of the job.

Create job using ExternalUserId

You can start a categorization job by supplying a externalUserId. This is the unique identifier for a user in the system. See the section on creating and managing users in the Account Information section.

For instance, if the externalUserId is user_12345, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/v2/categorization-jobs
// application/json request body
{
"engine": "e1",
"profile": "retail",
"countryCode": "nl",
"externalUserId": "user_12345"
}

After initiating a Categorization Job, you can use the API to monitor the progress and status of the job.

Create job using AccountIds

You can start a categorization job by supplying one or more accountIds. This is the unique identifier for an account in the system.

For instance, if the accountId is af86536d-34e3-4ebc-6c64-08db56ccef25, you would create a POST request to:

Request Method: POST

https://api.enablenow.nl/v2/categorization-jobs
// application/json request body
{
"engine": "e1",
"profile": "retail",
"countryCode": "nl",
"accountIds": [
"af86536d-34e3-4ebc-6c64-08db56ccef25",
... other AccountIds if needed
]
}

After initiating a Categorization Job, you can use the API to monitor the progress and status of the job.